%define libname	%mklibname ayttm

%define name		ayttm
%define version		0.6.1
%define a_release	89
%define release		%mkrel 1
%define summary		A Universal Instant Messaging Client

Summary:		%{summary}
Name:			%{name}
Version:		%{version}
Release:		%{release}
Group:			Networking/Instant messaging
License:		GPL
URL:			http://ayttm.sourceforge.net
Source:			%{name}-%{version}.tar.bz2
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glib2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libltdl-devel
BuildRequires:	libesound-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-devel
BuildRequires:	automake >= 1.6
BuildRequires:	libaspell-devel
BuildRequires:	libxpm-devel
BuildRequires:	libgpgme-devel
BuildRequires:	openssl-devel
Obsoletes:		libayttm
Obsoletes:		libayttm-devel

%description
Ayttm is designed to become a Universal Instant Messaging client, seamlessly
integrating all existing Instant Messaging clients and providing a single
consistant user interface. Currently, Ayttm supports sending and receiving
messages through AOL, ICQ, Yahoo, MSN, IRC and Jabber.

%package i10n
Summary:	Internationalization files for %{name}
Group:		System/Internationalization
Requires:	%{name}

%description i10n
Internationalization files for %{name}

%if "%{nodebug}" == "0"
%define optflags -g
%define __spec_install_post %{_libdir}/rpm/brp-compress 
%endif

%define debug_package %{nil}

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x	--disable-crash-dialog \
		--enable-smtp \
		--enable-jasper-filter
%make

%install
rm -rf $RPM_BUILD_ROOT
%make -i DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/%{name}.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Internet/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
MimeType=application/x-icq;
Name=Ayttm
GenericName=The GTK Unified Messaging Client
Comment=The GTK Unified Messaging Client
Exec=ayttm
Type=Application
Terminal=false
Icon=ayttm
Categories=Network;InstantMessaging;X-MandrivaLinux-Internet-InstantMessaging;
ServiceTypes=DCOP/InstantMessenger
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README ChangeLog
%{_bindir}/%{name}
%{_bindir}/%{name}_streamer_wrapper
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/sounds/*
%{_datadir}/%{name}/smileys/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man*/*
%{_datadir}/pixmaps/*.png

%config(noreplace) %{_sysconfdir}/%{name}rc
%{_libdir}/%{name}/*.a
%{_libdir}/%{name}/*.la
%{_libdir}/%{name}/*.so

%files i10n
%defattr(-,root,root,-)
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%changelog
* Fri Jan 08 2010 Texstar <texstar at gmail.com> 0.6.1-1pclos2010
- 0.6.1

* Sun May 24 2009 Texstar <texstar@gmail.com> 0.5.0-4pclos2009
- merge in lib file
- fix rpm groups
- update to release 89
- deprecate devel package

* Mon Nov 10 2008 KDulcimer <kdulcimer@gmail.com> 0.5.0-3tinyme2008
- a_release 82

* Wed Oct 29 2008 KDulcimer <kdulcimer@gmail.com> 0.5.0-2tinyme2008
- Fix menu entry

* Wed Oct 22 2008 KDulcimer <kdulcimer@gmail.com> 0.5.0-1tinyme2008
- Build for PCLinuxOS
- Split the translations off to own package

* Wed Aug 22 2007 Siddhesh Poyarekar
Cleaned up tarballs

* Tue Aug 21 2007 Kartik Mistry
Updated manpage and shortcuts
